org.eclipse.jetty.server

## Class AbstractHttpConnection.Output

- java.lang.Object
- - java.io.OutputStream
  - - javax.servlet.ServletOutputStream
    - - org.eclipse.jetty.server.HttpOutput
      - - org.eclipse.jetty.server.AbstractHttpConnection.Output

All Implemented Interfaces:
  Closeable, Flushable, AutoCloseable

Enclosing class:
  AbstractHttpConnection

    public class AbstractHttpConnection.Output
    extends HttpOutput

### Field Summary

### Fields inherited from class org.eclipse.jetty.server.HttpOutput

`_connection, _generator`

### Method Summary

Methods
`void` `close()`
`void` `flush()`
`void` `print(String s)`
`void` `sendContent(Object content)`
`void` `sendResponse(Buffer response)`

### Methods inherited from class org.eclipse.jetty.server.HttpOutput

`getMaxIdleTime, isClosed, isWritten, reopen, write, write, write`

### Methods inherited from class javax.servlet.ServletOutputStream

`print, print, print, print, print, print, println, println, println, println, println, println, println, println`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### close

    public void close()
               throws IOException

Specified by:
  `close` in interface `Closeable`
Specified by:
  `close` in interface `AutoCloseable`
Overrides:
  `close` in class `HttpOutput`
Throws:
  `IOException`

#### flush

    public void flush()
               throws IOException

Specified by:
  `flush` in interface `Flushable`
Overrides:
  `flush` in class `HttpOutput`
Throws:
  `IOException`

#### print

    public void print(String s)
               throws IOException

Overrides:
  `print` in class `HttpOutput`
Throws:
  `IOException`

#### sendResponse

    public void sendResponse(Buffer response)
                      throws IOException

Throws:
  `IOException`

#### sendContent

    public void sendContent(Object content)
                     throws IOException

Throws:
  `IOException`